*  Bailey and MacKinnon-Webb empirical example
*  from
*  Standard Errors for Difference-in-Difference Regression
*  Bruce E Hansen
*  October 2024
*
*  creates results for Tables 12 & 13
*
*  This is a Stata file
*  Identical results are generated by R file Bailey.R
*
*  The file loads the data file Bailey.dta
*  It requires the stata file jregress.ado (place in same folder)


clear all
set mem 500m
set more off

capture log close
log using Bailey.log, replace
use Bailey, replace

gen repeal61 = (cstck==1961)
gen sales_1970 = sales*(year==1970)
gen Phys_1970 = Phys*(year==1970)

*   Table 12
xi: reg pill sales sales_1970 Phys Phys_1970 i.region*i.year, cluster(statefip)
xi: jregress pill sales sales_1970 Phys Phys_1970 i.region*i.year, cluster(statefip) dfdisplay

*   Table 13
xi: reg pill sales sales_1970 repeal61 Phys Phys_1970 i.region*i.year, cluster(statefip)
xi: jregress pill sales sales_1970 repeal61 Phys Phys_1970 i.region*i.year, cluster(statefip) dfdisplay

log close