#  Card-Krueger empirical example
#  from
#  Standard Errors for Difference-in-Difference Regression
#  Bruce E Hansen
#  October 2024
#
#  creates results for Tables 1, 10, and 11
#
#  This is a R file
#  Identical results are generated by Stata file CK.do
#
#  The file loads the data file CK.dta
#  It requires the R file jregress.R (place in same folder)
#  Uses the R packages haven and estimatr


library(haven)
library(estimatr)
source("jregress.R")
dat <- read_dta("CK.dta")

#   Table 1 & 10
lm_robust(fte~treatment+state+time, data=dat, clusters=store, se_type="stata")
jack1 <- jregress(fte~treatment+state+time, data=dat, clusters=store, df.display = TRUE)

#   Table 11
lm_robust(fte~treatment+state+time, data=dat, clusters=region, se_type="stata")
jack2 <- jregress(fte~treatment+state+time, data=dat, clusters=region, df.display = TRUE)


