*  Card-Krueger empirical example
*  from
*  Standard Errors for Difference-in-Difference Regression
*  Bruce E Hansen
*  October 2024
*
*  creates results for Tables 1, 10, and 11
*
*  This is a Stata file
*  Identical results are generated by R file CK.R
*
*  The file loads the data file CK.dta
*  It requires the stata file jregress.ado (place in same folder)

clear
set more off
set matsize 800

log using CK.log, replace
use CK.dta, clear

*  Table 1 & 10
reg fte treatment state time, cluster(store)

*  Table 10
jregress fte treatment state time, cluster(store) dfdisplay

*  Table 11
reg fte treatment state time, cluster(region)
jregress fte treatment state time, cluster(region) dfdisplay

log close