*  Card-Krueger empirical example
*  from
*  Standard Errors for Difference-in-Difference Regression
*  Bruce E Hansen
*  October 2024
*
*  This file creates the Stata data file CK.dta and text data file CK.csv
*
*  It uses for input the Stata data file CK1994.dta 
*  from Bruce Hansen's Econometrics textbook 
*


set more off
use CK1994.dta, clear

gen fte = empft + emppt/2 + nmgrs
gen treatment = time*state
gen region = (southj==1) + (centralj==1)*2 + (northj==1)*3 + (pa1==1)*4 + (pa2==1)*5
 
drop if fte == .
bys store: gen nperiods = [_N]
keep if nperiods == 2
drop nperiods

save CK, replace
export delimited using CK.csv, delimiter(tab) replace