*  Rao empirical example
*  from
*  Standard Errors for Difference-in-Difference Regression
*  Bruce E Hansen
*  October 2024
*
*  creates results for Tables 14 & 15
*
*  This is a Stata file
*  Identical results are generated by R file Rao.R
*
*  The file loads the data files dataMain.dta and dataDiscriminationExperiment.dta
*  It requires the stata file jregress.ado (place in same folder)

clear all
set more off

log using Rao.log, replace

*  Table 14

use "dataMain.dta", clear

regress charity_task treatedClassroom age male ownsCar transCar i.grade i.school_id  , cluster(school_grade)

jregress charity_task treatedClassroom age male ownsCar transCar i.grade i.school_id , cluster(school_grade) dfdisplay

*  Table 15

use "dataDiscriminationExperiment.dta", clear
	
regress Discriminated  treatedClassroom Prize200 Prize500 treatedClassroom_X_Prize200 treatedClassroom_X_Prize500 i.grade i.school, cluster(school_grade)

jregress Discriminated  treatedClassroom Prize200 Prize500 treatedClassroom_X_Prize200 treatedClassroom_X_Prize500 i.grade i.school, cluster(school_grade) dfdisplay
	
log close
