*-----------------------------------------------------#
* Table16.do
*
* This program uses the program file jregress.ado
*
* This calculates the Stata portion of Table 16
*
* The program needs to be run 4 times, varying the inputs G={20,200} and ng={100,1000}
*-----------------------------------------------------#

clear

scalar G = 200
scalar ng = 1000

local  k1 = 10
local  k2 = 50
local  k3 = 100
local  k4 = 200

local n = G*ng
local g = G
set obs `n'
gen Y = rnormal()

gen group  = (_n <= ng)
forvalues j = 2/`g' {
  replace group = group + (_n > ng*(`j'-1))*(_n <= ng*`j')*`j'
} 

forvalues j = 1/`k1' {
  gen X = rnormal()
  rename X A`j'
}
forvalues j = 1/`k2' {
  gen X = rnormal()
  rename X B`j'
}
forvalues j = 1/`k3' {
  gen X = rnormal()
  rename X C`j'
}
forvalues j = 1/`k4' {
  gen X = rnormal()
  rename X D`j'
}

timer clear
timer on 1
quietly reg Y A*, cluster(group)
timer off 1
timer on 2
quietly jregress Y A*, cluster(group) 
timer off 2

timer on 3
quietly reg Y B*, cluster(group)
timer off 3
timer on 4
quietly jregress Y B*, cluster(group) 
timer off 4

timer on 5
quietly reg Y C*, cluster(group)
timer off 5
timer on 6
quietly jregress Y C*, cluster(group) 
timer off 6

timer on 7
quietly reg Y D*, cluster(group)
timer off 7
timer on 8
quietly jregress Y D*, cluster(group) 
timer off 8

timer list
